<div class="row">
    <div class="col-md-4">
        <div class="ml-5 mt-4">
            <div class="col-md-11">
                <div class="rating-block">
                    <h6>{{ ratingandCommentsLabels.Reviews['Average Ratings'] }}</h6>
                      <div class="rating">
                        <app-star-ratings [score]="averageRating" [showStarRating]="true"></app-star-ratings>
                          <span id="rating-text-transform">{{averageRating}} {{ ratingandCommentsLabels.Reviews['out of 5'] }}</span>
                          <span id="rating-info-icon" class="fa fa-info-circle fa-sm ml-1"></span>
                          <p class="mt-2">{{totalReviewCount}} {{ ratingandCommentsLabels.Reviews['Reviews'] }}</p>
                      </div>
                </div>
            </div>
            <div id="ratings-tab" class="col-md-12 mt-3" #ratingsandReview>
                <div class="pull-left" *ngFor="let count of rateCount.reverse(); let $index = index">
                  <app-rating-progress-bar [index]="$index+1" [calcTotalRatingCount]="calcTotalRatingCount" *ngIf="!($index == 5)"
                    [count]="(count / totalReviewCount) * 100 || '0'"></app-rating-progress-bar>
                </div>
            </div>			
        </div>
    </div>
    <div class="col-md-8">
        <div class="row">
            <div class="col-md-11 mt-3">
                <div>
                  <h6 class="header-text-transform mt-2">{{ ratingandCommentsLabels.Reviews['New Review'] }}</h6>
                  <button *ngIf="!submitNewReview && !editReview" class="btn btn-write-review mt-1 mb-3" id="btn-new-review"
                  (click)="newReview()">{{ ratingandCommentsLabels.Reviews['Write a Review'] }}</button>

                  <button *ngIf="!submitNewReview && editReview" class="btn btn-reviews mt-1 mb-3" id="btn-edit-review"
                  (click)="newReview()">{{ ratingandCommentsLabels.Reviews['Edit Review'] }}</button>
                </div>

                <div id="new-review-form" *ngIf="submitNewReview">
                  <input class="form-control" id="username" [disabled]="true"  [value]="loggedInUsername" name="username">
                  <input class="form-control" id="timestamp" [disabled]="true" [value]="currentDate | date:'medium'" name="timestamp">
                  <textarea type="text" name="newReviewComment" rows="3" cols="10" [(ngModel)]="newReviewComment"
                     class="form-control" maxlength="1000"></textarea>
                  <div id="submit-star-ratings" class="mb-4">
                    <span id="rate-text-transform">{{ ratingandCommentsLabels.Reviews['Rate'] }}</span>
                    <app-star-ratings [score]="this.score" [maxRateCount]="5" [isEdit]="true" [showStarRating]="true" (rateChanged)="onRateChange($event)"></app-star-ratings>
                  </div>
                  <button
                    class="btn btn-reviews btn-sm mb-3" id="btn-new-review-submit" type="button"
                    (click)="this.submitReview()" [disabled]="(this.score <= 0 || newReviewComment =='')">{{ ratingandCommentsLabels.Reviews['Submit'] }}</button>
                  <button
                  class="btn btn-reviews btn-sm mb-3" id="btn-new-review-cancel" type="button"
                  (click)="dismissReviewSubmit()">{{ ratingandCommentsLabels.Reviews['Cancel'] }}</button>
                  <hr>
              </div>
                <h6 class="header-text-transform" id="review-header">{{ ratingandCommentsLabels.Reviews['All Reviews'] }}</h6>
                <div class="review-block">
                    <div class="row">
                      <div class="col-md-12" *ngFor="let comment of reviewComments;">
                        <span id="review-name-tag">{{comment.user}}</span>
                        <span id="review-date-stamp">- {{comment.timestamp | date:'M/d/yyyy'}}</span>
                        <span id="star-ratings">
                          <app-star-ratings [score]="comment.rating" [showStarRating]="true"></app-star-ratings>
                        </span>
                        <p class="mt-2 text-break">{{comment.comment}}</p>
                      </div>                         
                    </div>
                  </div>
            </div>
        </div>
    </div>
</div>